﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// UI
using UnityEngine.UI;

public class ArrowsButton : MonoBehaviour
{
    private Button arrow;
    private GameManager gameManager;
    private RoomManager roomManager;

    // -1 pour gauche/haut, +1 pour droite/bas
    public int direction;
    // true pour utiliser en mode flêches, false pour les changements de salle
    public bool arrowsOrNProom;

    // Start is called before the first frame update
    void Start()
    {
        gameManager = GameObject.Find("GameManager").GetComponent<GameManager>();
        roomManager = gameManager.room.GetComponent<RoomManager>();

        arrow = GetComponent<Button>();

        if (arrowsOrNProom)
        {
            arrow.onClick.AddListener(Arrow);
        }
        else
        {
            arrow.onClick.AddListener(NProom);
        }

    }

    // Update is called once per frame
    void Update()
    {

    }

    // Action lors du clique sur une flêche
    public void Arrow()
    {
        int viewIndex = roomManager.viewIndex;
        roomManager.viewIndex = direction;
        gameManager.updateID(roomManager.actualRoom);
    }

    // Action du clique sur un changement de pièce
    public void NProom()
    {
        int roomIndex = roomManager.roomIndex;
        roomManager.roomIndex = direction;
        gameManager.updateID(roomManager.actualRoom, roomManager.actualRoomColor);
    }
}
